/**
 * logging.ts
 * Standardized logging helper functions
 */

function curDateStr() {
    return new Date().toJSON().replace('T', ' ').replace('Z', '');
}

function logInfo(...data) {
    console.log(`[${curDateStr()}] ${data.join(' ')}`);
}

function logWarn(...data) {
    console.warn(`[${curDateStr()}] ${data.join(' ')}`);
}

function logError(...data) {
    console.error(`[${curDateStr()}] ${data.join(' ')}`);
}

export { logInfo, logWarn, logError };
